light-mode-image
Learn
API ReferenceIssuer Policy

Publish issuer policy

Roles

admindts-provider

Analytics Events

ECOSYSTEM_ISSUER_POLICY_CREATE_STARTECOSYSTEM_ISSUER_POLICY_CREATE_SUCCESSECOSYSTEM_ISSUER_POLICY_CREATE_FAIL
POST/v1/ecosystems/{ecosystemId}/issuer-policies

Publish a new version of the ecosystem issuer policy. A participant is included only if it is active and has at least one issuer certificate that passes validation. Only the certificates that pass validation are included.

Analytic events

  • ECOSYSTEM_ISSUER_POLICY_CREATE_START
  • ECOSYSTEM_ISSUER_POLICY_CREATE_SUCCESS
  • ECOSYSTEM_ISSUER_POLICY_CREATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

ecosystemId*string

The UUID of the ecosystem

Formatuuid

Response Body

application/json

application/json

application/json

curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/issuer-policies"
{
  "id": "782f1885-c7c2-4459-8426-b6d7c111b0b1",
  "publishedAt": "2024-10-22T00:00:00Z",
  "participants": [
    {
      "id": "a24e391a-c27f-4b6e-9805-1ee7e03f3c58",
      "name": "My Participant",
      "issuerCertificates": [
        {
          "id": "599bf148-d711-405a-a20b-9c8a87ac8850",
          "certificatePem": "-----BEGIN CERTIFICATE-----\r\nMIIBwzCCAWigAwIBAgIKRGC+CqoTGJKkkTAKBggqhkjOPQQDAjAgMR4wCQYDVQQG\r\n-----END CERTIFICATE-----\r\n",
          "certificateFingerprint": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
          "docTypes": [
            {
              "value": "org.iso.18013.5.1.mDL"
            }
          ]
        }
      ]
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "value": "string",
      "msg": "Invalid value",
      "param": "id",
      "location": "body"
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "value": "string",
      "msg": "Invalid value",
      "param": "id",
      "location": "body"
    }
  ]
}
Empty

How would you rate this page?